#!/bin/sh
# Version 1.0 by Turranius

USERPATH="/ftp-data/users"
USERDISABLEPATH="/ftp-data/users/disabled"
TEMPFILE="/tmp/disablelog.tmp"

if [ $# -gt 0 ]; then
    echo -------------------- Disable user -----------------------
    if [ -f $USERPATH/$1 ]; then
	mv $USERPATH/$1 $USERDISABLEPATH/$1.disabled
	echo "Succesfully Disabled $1."
    else
	echo "That user was not found."
    fi
else
    ls $USERDISABLEPATH > $TEMPFILE
    echo "------- Currently Disabled Users -------"
    sed -e "s/.disabled//" $TEMPFILE
    echo "-Use 'site enable (username)' to enable-"
    rm -f $TEMPFILE
fi

echo "------------ By Turranius --------------"