#!/bin/sh
# Version 1.0 by Turranius
# Make SURE you set the USERDISABLEPATH to a folder that exists, and have write permissions

USERPATH="/ftp-data/users"
USERDISABLEPATH="/ftp-data/users/disabled"
TEMPFILE="/tmp/disablelog.tmp"

if [ $# -gt 0 ]; then
    echo "-------------------- Enable user -----------------------"
    if [ -f $USERDISABLEPATH/$1.disabled ]; then
	mv $USERDISABLEPATH/$1.disabled $USERPATH/$1
	echo "Enabled user $1."
    else
	echo "That user was not found, or never disabled."
    fi
else
    ls $USERDISABLEPATH > $TEMPFILE
    echo "------- Currently Disabled Users -------"
    sed -e "s/.disabled//" $TEMPFILE
    echo "-Use 'site enable (username)' to enable-"
    rm -f $TEMPFILE
fi

echo "------------ By Turranius --------------"
